[mypy]
python_version = 3.11
ignore_missing_imports = True
explicit_package_bases = True
namespace_packages = True
mypy_path = services
exclude = tests|alembic|\.venv|venv|env|__pycache__|\.git

# Отключить строгую проверку типов для этого проекта
check_untyped_defs = False
disallow_untyped_defs = False
disallow_incomplete_defs = False
no_implicit_optional = False
warn_return_any = False
warn_unused_ignores = False

[mypy-services.*]
ignore_errors = True

[mypy-tests.*]
ignore_errors = True

[mypy-shared.*]
ignore_errors = True